'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

var DebugLevel = /* @__PURE__ */ ((DebugLevel2) => {
  DebugLevel2[DebugLevel2["None"] = 0] = "None";
  DebugLevel2[DebugLevel2["Log"] = 1] = "Log";
  DebugLevel2[DebugLevel2["Breakpoint"] = 2] = "Breakpoint";
  return DebugLevel2;
})(DebugLevel || {});
let debugLevel = 0 /* None */;
const debugStrategies = {
  [0 /* None */]: () => null,
  [1 /* Log */]: (message) => console.log(message),
  [2 /* Breakpoint */]: (message) => {
    console.log(message);
    debugger;
  }
};
function setDebugLevel(level) {
  debugLevel = level;
}
function debug(message) {
  debugStrategies[debugLevel](message);
}

exports.DebugLevel = DebugLevel;
exports.debug = debug;
exports.setDebugLevel = setDebugLevel;
