export { DebugLevel, debug, setDebugLevel } from './debug.js';
export { Platform, closestBodyElement, getOwnerDocument, getPlatform, isSSR, setPlatform } from './platform.js';
export { childSelectors, getAccent, getAccentHover, getAccentText, isDefaultAccent, isPreferDarkMode, isPreferLightMode, mediaQueryColorScheme, resolveThemeMode, rgb } from './style.js';
export { clampBigNumber, formatCurrency, formatIntlNumber, formatNumeric, getCurrencyFormatter, safelyFormatNumberWithFallback, toNumber } from './number.js';

function callAllHandlers(...fns) {
  return function func(event) {
    fns.some((fn) => {
      fn?.(event);
      return event?.defaultPrevented;
    });
  };
}
function callAll(...fns) {
  return function mergedFn(arg) {
    fns.forEach((fn) => {
      fn?.(arg);
    });
  };
}

export { callAll, callAllHandlers };
