import { GlobalStyleRule } from '@vanilla-extract/css';
import { Accent } from '../styles/tokens';
import { ModePreference, ThemeVariant } from '../models/system.model';

export declare const rgb: (color: string, alpha?: string) => string;
export declare const isDefaultAccent: (accent: Accent) => boolean;
export declare const getAccent: (accent: Accent, colorMode: ThemeVariant | null) => string;
export declare const getAccentText: (colorMode: ThemeVariant | null) => string;
export declare const getAccentHover: (color: string) => string;
export declare const mediaQueryColorScheme: (mode: string) => string;
export declare const resolveThemeMode: (defaultThemeMode?: ModePreference) => ModePreference;
export declare const isPreferLightMode: () => boolean;
export declare const isPreferDarkMode: () => boolean;
export declare function childSelectors(styleVariantsSelector: string, selector: string, rule: GlobalStyleRule): void;
