'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const SYSTEM_FONT_STACK = `-apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol"`;
const letterSpacing = {
  tighter: "-0.05em",
  tight: "-0.025em",
  normal: "0",
  wide: "0.025em",
  wider: "0.05em",
  widest: "0.1em"
};
const lineHeight = {
  normal: "normal",
  none: "1",
  shorter: "1.1",
  short: "1.25",
  base: "1.5",
  tall: "1.75",
  taller: "2"
};
const fontWeight = {
  hairline: "100",
  thin: "200",
  light: "300",
  normal: "400",
  medium: "500",
  semibold: "600",
  bold: "700",
  extrabold: "800",
  black: "900"
};
const fontSize = {
  "3xs": "0.5rem",
  // ≈8px
  "2xs": "0.625rem",
  // ≈10px
  xs: "0.75rem",
  // ≈12px
  sm: "0.875rem",
  // ≈14px
  md: "1rem",
  // ≈16px
  lg: "1.125rem",
  // ≈18px
  xl: "1.25rem",
  // ≈20px
  "2xl": "1.375rem",
  // ≈22px
  "3xl": "1.5rem",
  // ≈24px
  "4xl": "1.625rem",
  // ≈26px
  "5xl": "1.75rem",
  // ≈28px
  "6xl": "1.875rem",
  // ≈30px
  "7xl": "2rem",
  // ≈32px
  "8xl": "2.25rem",
  // ≈36px
  "9xl": "2.5rem",
  // ≈40px
  "10xl": "3rem",
  // ≈48px
  "11xl": "3.5rem",
  // ≈56px
  "12xl": "4rem",
  // ≈64px
  "13xl": "4.5rem",
  // ≈72px
  "14xl": "5rem",
  // ≈80px
  "15xl": "5.5rem"
  // ≈88px
};

exports.SYSTEM_FONT_STACK = SYSTEM_FONT_STACK;
exports.fontSize = fontSize;
exports.fontWeight = fontWeight;
exports.letterSpacing = letterSpacing;
exports.lineHeight = lineHeight;
