'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const animateLayout_helper = require('./animate-layout.helper.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "animate-layout",
  props: {
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const parentRef = vue.ref();
    vue.onMounted(() => {
      if (parentRef.value) {
        animateLayout_helper.animateLayout(parentRef.value);
      }
    });
    const slots = vue.useSlots();
    vue.watch(
      () => [parentRef.value, slots.default],
      () => {
        if (parentRef.value) {
          animateLayout_helper.animateLayout(parentRef.value);
        }
      },
      { immediate: true }
    );
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        "data-part-id": "animate-layout",
        ref_key: "parentRef",
        ref: parentRef,
        style: {
          backfaceVisibility: "hidden"
        },
        class: vue.normalizeClass(props.class ?? props.className)
      }, [
        vue.renderSlot(_ctx.$slots, "default")
      ], 2);
    };
  }
});

exports.default = _sfc_main;
