import { defineComponent, ref, onMounted, onUnmounted, openBlock, createBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../box/box.vue.js';
import { store } from '../../models/store.js';
import { avatarBadge, avatarBadgePlacement } from '../avatar/avatar.css.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "avatar-badge",
  props: {
    boxRef: { default: void 0 },
    attributes: { default: void 0 },
    size: { default: "1.25em" },
    placement: { default: "bottom-right" },
    borderWidth: { default: "0.2em" },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: { default: void 0 },
    forwardedRef: {}
  },
  setup(__props) {
    const internalTheme = ref("light");
    const cleanupRef = ref();
    onMounted(() => {
      internalTheme.value = store.getState().theme;
      cleanupRef.value = store.subscribe((newState, prevState) => {
        internalTheme.value = newState.theme;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), mergeProps({
        display: "flex",
        position: "absolute",
        alignItems: "center",
        justifyContent: "center",
        borderRadius: "$full",
        boxRef: _ctx.boxRef,
        borderWidth: _ctx.borderWidth,
        width: _ctx.size,
        height: _ctx.size,
        class: unref(clx)(
          unref(avatarBadge)[internalTheme.value],
          unref(avatarBadgePlacement)[_ctx.placement],
          _ctx.className
        )
      }, _ctx.attributes), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["boxRef", "borderWidth", "width", "height", "class"]);
    };
  }
});

export { _sfc_main as default };
