'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const avatar_css = require('../avatar/avatar.css.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "avatar-name",
  props: {
    name: { default: void 0 },
    getInitials: { type: Function, default: void 0 },
    children: {},
    boxRef: { default: void 0 },
    showInitials: { type: Boolean, default: true },
    attributes: {},
    className: {},
    class: {},
    classList: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    function initials(name) {
      if (typeof props.getInitials === "function") {
        return props.getInitials(props.name);
      }
      const names = name.split(" ");
      const firstName = names[0] ?? "";
      const lastName = names.length > 1 ? names[names.length - 1] : "";
      return firstName && lastName ? `${firstName.charAt(0)}${lastName.charAt(0)}` : firstName.charAt(0);
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
        fontFamily: "$body",
        fontWeight: "$normal",
        attributes: {
          role: "img",
          "aria-label": _ctx.name
        },
        boxRef: _ctx.boxRef,
        class: vue.normalizeClass(vue.unref(avatar_css.avatarName))
      }, {
        default: vue.withCtx(() => [
          !!_ctx.name && _ctx.showInitials ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 0 }, [
            vue.createTextVNode(vue.toDisplayString(initials(_ctx.name)), 1)
          ], 64)) : vue.createCommentVNode("", true)
        ]),
        _: 1
      }, 8, ["attributes", "boxRef", "class"]);
    };
  }
});

exports.default = _sfc_main;
