import { defineComponent, openBlock, createBlock, unref, normalizeClass, withCtx, createElementBlock, Fragment, createTextVNode, toDisplayString, createCommentVNode } from 'vue';
import _sfc_main$1 from '../box/box.vue.js';
import { avatarName } from '../avatar/avatar.css.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "avatar-name",
  props: {
    name: { default: void 0 },
    getInitials: { type: Function, default: void 0 },
    children: {},
    boxRef: { default: void 0 },
    showInitials: { type: Boolean, default: true },
    attributes: {},
    className: {},
    class: {},
    classList: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    function initials(name) {
      if (typeof props.getInitials === "function") {
        return props.getInitials(props.name);
      }
      const names = name.split(" ");
      const firstName = names[0] ?? "";
      const lastName = names.length > 1 ? names[names.length - 1] : "";
      return firstName && lastName ? `${firstName.charAt(0)}${lastName.charAt(0)}` : firstName.charAt(0);
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        fontFamily: "$body",
        fontWeight: "$normal",
        attributes: {
          role: "img",
          "aria-label": _ctx.name
        },
        boxRef: _ctx.boxRef,
        class: normalizeClass(unref(avatarName))
      }, {
        default: withCtx(() => [
          !!_ctx.name && _ctx.showInitials ? (openBlock(), createElementBlock(Fragment, { key: 0 }, [
            createTextVNode(toDisplayString(initials(_ctx.name)), 1)
          ], 64)) : createCommentVNode("", true)
        ]),
        _: 1
      }, 8, ["attributes", "boxRef", "class"]);
    };
  }
});

export { _sfc_main as default };
