import clx from 'clsx';
import { intentPrimary, baseAnchorButton, baseButton, variants, disabled, intentSecondary, intentTertiary, intentWarning, intentSuccess, intentDanger, intentText, buttonBgVar, buttonHoverBgVar, buttonTextColorVar, buttonHoverTextColorVar } from './button.css.js';

function recipe({
  as,
  variant,
  intent,
  isDisabled,
  theme
}) {
  const intentMap = {
    primary: intentPrimary,
    secondary: intentSecondary,
    tertiary: intentTertiary,
    warning: intentWarning,
    success: intentSuccess,
    danger: intentDanger,
    text: intentText
  };
  const intentVariants = intentMap[intent];
  const intentClass = intentVariants ? intentVariants[theme] : intentPrimary[theme];
  return clx(
    as === "a" ? baseAnchorButton : baseButton,
    intentClass,
    intent === "tertiary" && variant === "outlined" ? null : variants[variant],
    isDisabled ? disabled : null
  );
}
const buttonOverrides = {
  name: "button",
  overrides: [
    [buttonBgVar, "bg"],
    [buttonHoverBgVar, "hoverBg"],
    [buttonTextColorVar, "color"],
    [buttonHoverTextColorVar, "hoverColor"]
  ]
};

export { buttonOverrides, recipe };
