import { ButtonProps } from './button.types';
import { DefineComponent, ComponentOptionsMixin, PublicProps, ExtractPropTypes, PropType } from 'vue';
import { Children } from '../../models/components.model';
import { Sprinkles } from '../..';
import { ButtonSize, ButtonVariant, ButtonIntent } from './button.helper';
import { IconProps } from '../icon/icon.types';

declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: DefineComponent<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<ButtonProps>, {
    intent: string;
    size: string;
    as: string;
    variant: string;
    disabled: undefined;
    isLoading: undefined;
    fluidWidth: undefined;
    fluid: undefined;
    className: undefined;
    attributes: undefined;
    domAttributes: undefined;
    buttonRef: undefined;
    iconSize: undefined;
    spinnerPlacement: string;
    leftIcon: undefined;
    children: undefined;
    rightIcon: undefined;
}>, {}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    scroll: (...args: any[]) => void;
    focus: (...args: any[]) => void;
    click: (...args: any[]) => void;
    dblclick: (...args: any[]) => void;
    mousedown: (...args: any[]) => void;
    mouseup: (...args: any[]) => void;
    mouseenter: (...args: any[]) => void;
    mouseleave: (...args: any[]) => void;
    mousemove: (...args: any[]) => void;
    mouseover: (...args: any[]) => void;
    mouseout: (...args: any[]) => void;
    keydown: (...args: any[]) => void;
    keyup: (...args: any[]) => void;
    keypress: (...args: any[]) => void;
    blur: (...args: any[]) => void;
    input: (...args: any[]) => void;
    change: (...args: any[]) => void;
    submit: (...args: any[]) => void;
    reset: (...args: any[]) => void;
    wheel: (...args: any[]) => void;
    dragstart: (...args: any[]) => void;
    drag: (...args: any[]) => void;
    dragend: (...args: any[]) => void;
    dragenter: (...args: any[]) => void;
    dragleave: (...args: any[]) => void;
    dragover: (...args: any[]) => void;
    drop: (...args: any[]) => void;
    touchstart: (...args: any[]) => void;
    touchmove: (...args: any[]) => void;
    touchend: (...args: any[]) => void;
    touchcancel: (...args: any[]) => void;
}, string, PublicProps, Readonly< ExtractPropTypes<__VLS_WithDefaults<__VLS_TypePropsToRuntimeProps<ButtonProps>, {
    intent: string;
    size: string;
    as: string;
    variant: string;
    disabled: undefined;
    isLoading: undefined;
    fluidWidth: undefined;
    fluid: undefined;
    className: undefined;
    attributes: undefined;
    domAttributes: undefined;
    buttonRef: undefined;
    iconSize: undefined;
    spinnerPlacement: string;
    leftIcon: undefined;
    children: undefined;
    rightIcon: undefined;
}>>> & {
    onDrag?: ((...args: any[]) => any) | undefined;
    onDragend?: ((...args: any[]) => any) | undefined;
    onDragenter?: ((...args: any[]) => any) | undefined;
    onDragleave?: ((...args: any[]) => any) | undefined;
    onDragover?: ((...args: any[]) => any) | undefined;
    onDragstart?: ((...args: any[]) => any) | undefined;
    onDrop?: ((...args: any[]) => any) | undefined;
    onFocus?: ((...args: any[]) => any) | undefined;
    onBlur?: ((...args: any[]) => any) | undefined;
    onChange?: ((...args: any[]) => any) | undefined;
    onInput?: ((...args: any[]) => any) | undefined;
    onReset?: ((...args: any[]) => any) | undefined;
    onSubmit?: ((...args: any[]) => any) | undefined;
    onKeydown?: ((...args: any[]) => any) | undefined;
    onKeypress?: ((...args: any[]) => any) | undefined;
    onKeyup?: ((...args: any[]) => any) | undefined;
    onClick?: ((...args: any[]) => any) | undefined;
    onDblclick?: ((...args: any[]) => any) | undefined;
    onMousedown?: ((...args: any[]) => any) | undefined;
    onMouseenter?: ((...args: any[]) => any) | undefined;
    onMouseleave?: ((...args: any[]) => any) | undefined;
    onMousemove?: ((...args: any[]) => any) | undefined;
    onMouseout?: ((...args: any[]) => any) | undefined;
    onMouseover?: ((...args: any[]) => any) | undefined;
    onMouseup?: ((...args: any[]) => any) | undefined;
    onScroll?: ((...args: any[]) => any) | undefined;
    onTouchcancel?: ((...args: any[]) => any) | undefined;
    onTouchend?: ((...args: any[]) => any) | undefined;
    onTouchmove?: ((...args: any[]) => any) | undefined;
    onTouchstart?: ((...args: any[]) => any) | undefined;
    onWheel?: ((...args: any[]) => any) | undefined;
}, {
    className: string;
    children: Children;
    as: "button" | "a";
    attributes: Sprinkles;
    size: ButtonSize;
    disabled: boolean;
    domAttributes: any;
    variant: ButtonVariant;
    intent: ButtonIntent;
    fluidWidth: boolean;
    fluid: boolean;
    iconSize: import("node_modules/rainbow-sprinkles/dist/declarations/src/css").Property.FontSize | "$sm" | "$md" | "$lg" | "$xl" | "$xs" | "$2xl" | "$3xl" | "$4xl" | "$3xs" | "$2xs" | "$5xl" | "$6xl" | "$7xl" | "$8xl" | "$9xl" | "$10xl" | "$11xl" | "$12xl" | "$13xl" | "$14xl" | "$15xl" | Partial<Record<"mobile" | "mdMobile" | "tablet" | "desktop", import("node_modules/rainbow-sprinkles/dist/declarations/src/css").Property.FontSize | "$sm" | "$md" | "$lg" | "$xl" | "$xs" | "$2xl" | "$3xl" | "$4xl" | "$3xs" | "$2xs" | "$5xl" | "$6xl" | "$7xl" | "$8xl" | "$9xl" | "$10xl" | "$11xl" | "$12xl" | "$13xl" | "$14xl" | "$15xl" | null | undefined>> | null;
    leftIcon: IconProps["name"];
    rightIcon: IconProps["name"];
    buttonRef: any;
    isLoading: boolean;
    spinnerPlacement: "start" | "end";
}, {}>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_NonUndefinedable<T> = T extends undefined ? never : T;
type __VLS_TypePropsToRuntimeProps<T> = {
    [K in keyof T]-?: {} extends Pick<T, K> ? {
        type: PropType<__VLS_NonUndefinedable<T[K]>>;
    } : {
        type: PropType<T[K]>;
        required: true;
    };
};
type __VLS_WithDefaults<P, D> = {
    [K in keyof Pick<P, keyof P>]: K extends keyof D ? __VLS_Prettify<P[K] & {
        default: D[K];
    }> : P[K];
};
type __VLS_Prettify<T> = {
    [K in keyof T]: T[K];
} & {};
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
