'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const text_vue_vue_type_script_setup_true_lang = require('../text/text.vue.cjs');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const icon_vue_vue_type_script_setup_true_lang = require('../icon/icon.vue.cjs');
const store = require('../../models/store.cjs');
const icon_types = require('../icon/icon.types.cjs');
const callout_helpers = require('./callout.helpers.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "callout",
  props: {
    title: { default: void 0 },
    intent: { default: "none" },
    iconName: { default: void 0 },
    iconRender: { default: void 0 },
    attributes: { default: void 0 },
    className: { default: void 0 },
    class: {},
    classList: {},
    children: { default: void 0 },
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const internalTheme = vue.ref("light");
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      cleanupRef.value = store.store.subscribe((newState, prevState) => {
        internalTheme.value = newState.theme;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    const colorsProperties = vue.computed(() => {
      return callout_helpers.getIntentColors(props.intent, internalTheme.value);
    });
    function isValidIconName() {
      return icon_types.ALL_ICON_NAMES.includes(props.iconName);
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), vue.mergeProps({
        borderRadius: "$md",
        p: "$6",
        class: props.class ?? props.className
      }, { ...colorsProperties.value, ..._ctx.attributes }), {
        default: vue.withCtx(() => [
          vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
            display: "flex",
            gap: "$6",
            flexDirection: "column"
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
                display: "flex",
                flexWrap: "nowrap",
                gap: "$5"
              }, {
                default: vue.withCtx(() => [
                  !!_ctx.iconName && isValidIconName() ? (vue.openBlock(), vue.createBlock(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
                    key: 0,
                    size: "$3xl",
                    color: "inherit",
                    name: _ctx.iconName
                  }, null, 8, ["name"])) : vue.createCommentVNode("", true),
                  !_ctx.iconName && !isValidIconName() && _ctx.iconRender ? (vue.openBlock(), vue.createElementBlock(vue.Fragment, { key: 1 }, [
                    vue.createTextVNode(vue.toDisplayString(_ctx.iconRender), 1)
                  ], 64)) : vue.createCommentVNode("", true),
                  vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                    as: "h5",
                    fontSize: "$md",
                    fontWeight: "$semibold",
                    color: "inherit"
                  }, {
                    default: vue.withCtx(() => [
                      vue.createTextVNode(vue.toDisplayString(_ctx.title), 1)
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              }),
              vue.createVNode(vue.unref(text_vue_vue_type_script_setup_true_lang.default), {
                as: "div",
                fontSize: "$sm",
                fontWeight: "$normal",
                color: "inherit"
              }, {
                default: vue.withCtx(() => [
                  vue.renderSlot(_ctx.$slots, "default")
                ]),
                _: 3
              })
            ]),
            _: 3
          })
        ]),
        _: 3
      }, 16, ["class"]);
    };
  }
});

exports.default = _sfc_main;
