const baseStyles = {
  display: "flex",
  alignItems: "center",
  justifyContent: "center"
};
const centerStyles = {
  horizontal: {
    insetInlineStart: "50%",
    transform: "translateX(-50%)"
  },
  vertical: {
    top: "50%",
    transform: "translateY(-50%)"
  },
  both: {
    insetInlineStart: "50%",
    top: "50%",
    transform: "translate(-50%, -50%)"
  }
};
function getAxisStyles(axis) {
  return {
    ...baseStyles,
    ...centerStyles[axis ?? "both"]
  };
}

export { getAxisStyles };
