'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const store = require('../../models/store.cjs');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const connectModalInstallButton_css = require('./connect-modal-install-button.css.cjs');
const connectModalInstallButton_helper = require('./connect-modal-install-button.helper.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-install-button",
  props: {
    disabled: { type: Boolean },
    fluidWidth: { type: Boolean },
    iconSize: {},
    icon: {},
    onClick: { type: Function },
    onHoverStart: { type: Function },
    onHoverEnd: { type: Function },
    attributes: {},
    domAttributes: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const internalTheme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      overrideManager.value = store.store.getState().overrideStyleManager;
      cleanupRef.value = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    function getClassName() {
      return clx(
        connectModalInstallButton_css.installButtonStyles[internalTheme.value],
        props.fluidWidth ? connectModalInstallButton_css.fluidWidth : "",
        props.class
      );
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(box_vue_vue_type_script_setup_true_lang.default), vue.mergeProps({
        as: "button",
        rawCSS: overrideManager.value?.applyOverrides(vue.unref(connectModalInstallButton_helper.installButtonOverrides).name),
        attributes: {
          onClick: (event) => _ctx.onClick?.(event),
          onMouseEnter: (event) => _ctx.onHoverStart?.(event),
          onMouseLeave: (event) => _ctx.onHoverEnd?.(event),
          disabled: _ctx.disabled,
          ..._ctx.domAttributes
        },
        class: getClassName()
      }, _ctx.attributes), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["rawCSS", "attributes", "class"]);
    };
  }
});

exports.default = _sfc_main;
