import { defineComponent, ref, onMounted, onUnmounted, openBlock, createBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import clx from 'clsx';
import { store } from '../../models/store.js';
import _sfc_main$1 from '../box/box.vue.js';
import { installButtonStyles, fluidWidth } from './connect-modal-install-button.css.js';
import { installButtonOverrides } from './connect-modal-install-button.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal-install-button",
  props: {
    disabled: { type: Boolean },
    fluidWidth: { type: Boolean },
    iconSize: {},
    icon: {},
    onClick: { type: Function },
    onHoverStart: { type: Function },
    onHoverEnd: { type: Function },
    attributes: {},
    domAttributes: {},
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const internalTheme = ref("light");
    const overrideManager = ref(null);
    const cleanupRef = ref();
    onMounted(() => {
      internalTheme.value = store.getState().theme;
      overrideManager.value = store.getState().overrideStyleManager;
      cleanupRef.value = store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    function getClassName() {
      return clx(
        installButtonStyles[internalTheme.value],
        props.fluidWidth ? fluidWidth : "",
        props.class
      );
    }
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), mergeProps({
        as: "button",
        rawCSS: overrideManager.value?.applyOverrides(unref(installButtonOverrides).name),
        attributes: {
          onClick: (event) => _ctx.onClick?.(event),
          onMouseEnter: (event) => _ctx.onHoverStart?.(event),
          onMouseLeave: (event) => _ctx.onHoverEnd?.(event),
          disabled: _ctx.disabled,
          ..._ctx.domAttributes
        },
        class: getClassName()
      }, _ctx.attributes), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["rawCSS", "attributes", "class"]);
    };
  }
});

export { _sfc_main as default };
