'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const clx = require('clsx');
const qrcode_vue_vue_type_script_setup_true_lang = require('../qrcode/qrcode.vue.cjs');
const icon_vue_vue_type_script_setup_true_lang = require('../icon/icon.vue.cjs');
const connectModalQrcodeError_css = require('./connect-modal-qrcode-error.css.cjs');
const connectModalQrcode_css = require('../connect-modal-qrcode/connect-modal-qrcode.css.cjs');
const store = require('../../models/store.cjs');
const connectModalQrcodeError_helper = require('./connect-modal-qrcode-error.helper.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-qrcode-error",
  props: {
    qrCodeSize: {},
    onRefresh: { type: Function },
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const internalTheme = vue.ref("light");
    const overrideManager = vue.ref(null);
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      overrideManager.value = store.store.getState().overrideStyleManager;
      cleanupRef.value = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: vue.normalizeClass(vue.unref(clx)(vue.unref(connectModalQrcodeError_css.qrcodeErrorContainer), vue.unref(connectModalQrcode_css.qrCodeContainer), _ctx.className))
      }, [
        vue.createElementVNode("div", {
          style: vue.normalizeStyle(
            overrideManager.value?.applyOverrides(vue.unref(connectModalQrcodeError_helper.connectModalQRCodeErrorOverrides).name)
          ),
          class: vue.normalizeClass(vue.unref(connectModalQrcodeError_css.qrcodeBlur)[internalTheme.value])
        }, null, 6),
        vue.createElementVNode("div", {
          class: vue.normalizeClass(vue.unref(connectModalQrcodeError_css.qrcodeReloadButtonContainer))
        }, [
          vue.createElementVNode("button", {
            onClick: _cache[0] || (_cache[0] = ($event) => _ctx.onRefresh?.($event)),
            style: vue.normalizeStyle(
              overrideManager.value?.applyOverrides(
                vue.unref(connectModalQrcodeError_helper.connectModalQRCodeErrorButtonOverrides).name
              )
            ),
            class: vue.normalizeClass(vue.unref(connectModalQrcodeError_css.qrcodeReloadButton)[internalTheme.value])
          }, [
            vue.createElementVNode("span", null, [
              vue.createVNode(vue.unref(icon_vue_vue_type_script_setup_true_lang.default), {
                name: "restart",
                size: "$lg"
              })
            ])
          ], 6)
        ], 2),
        vue.createVNode(vue.unref(qrcode_vue_vue_type_script_setup_true_lang.default), {
          value: "https://",
          level: "L",
          size: _ctx.qrCodeSize,
          bgColor: vue.unref(connectModalQrcode_css.qrCodeBgVar),
          fgColor: vue.unref(connectModalQrcode_css.qrCodeFgVar),
          includeMargin: false
        }, null, 8, ["size", "bgColor", "fgColor"])
      ], 2);
    };
  }
});

exports.default = _sfc_main;
