import { defineComponent, ref, onMounted, onUnmounted, openBlock, createBlock, unref, normalizeClass, withCtx, createElementVNode, normalizeStyle } from 'vue';
import _sfc_main$1 from '../box/box.vue.js';
import { qrcodeSkeleton } from './connect-modal-qrcode-skeleton.css.js';
import { store } from '../../models/store.js';
import { connectModalQRCodeSkeletonOverrides } from './connect-modal-qrcode-skeleton.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal-qrcode-skeleton",
  props: ["className"],
  setup(__props) {
    const props = __props;
    const internalTheme = ref("light");
    const overrideManager = ref(null);
    const cleanupRef = ref();
    onMounted(() => {
      internalTheme.value = store.getState().theme;
      overrideManager.value = store.getState().overrideStyleManager;
      cleanupRef.value = store.subscribe((newState) => {
        internalTheme.value = newState.theme;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        display: "flex",
        justifyContent: "center",
        alignItems: "center",
        textAlign: "center",
        width: "$full",
        px: "$6",
        class: normalizeClass(props.class ?? props.className)
      }, {
        default: withCtx(() => [
          createElementVNode("div", {
            style: normalizeStyle(
              overrideManager.value?.applyOverrides(
                unref(connectModalQRCodeSkeletonOverrides).name
              )
            ),
            class: normalizeClass(unref(qrcodeSkeleton)[internalTheme.value])
          }, null, 6)
        ]),
        _: 1
      }, 8, ["class"]);
    };
  }
});

export { _sfc_main as default };
