'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const anime = require('animejs');
const clx = require('clsx');
const box_vue_vue_type_script_setup_true_lang = require('../box/box.vue.cjs');
const fadeIn_vue_vue_type_script_setup_true_lang = require('../fade-in/fade-in.vue.cjs');
const connectModalWalletButton_vue_vue_type_script_setup_true_lang = require('../connect-modal-wallet-button/connect-modal-wallet-button.vue.cjs');
const connectModalWalletList_css = require('./connect-modal-wallet-list.css.cjs');
const shared_css = require('../shared/shared.css.cjs');
const store = require('../../models/store.cjs');

const _hoisted_1 = ["data-has-list-wallets"];
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "connect-modal-wallet-list",
  props: {
    wallets: {},
    onWalletItemClick: { type: Function },
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    const props = __props;
    const displayBlur = vue.ref(false);
    const internalTheme = vue.ref("light");
    const measureRef = vue.ref();
    const shadowRef = vue.ref();
    const animationRef = vue.ref();
    const cleanupRef = vue.ref();
    vue.onMounted(() => {
      internalTheme.value = store.store.getState().theme;
      const unsubTheme = store.store.subscribe((newState) => {
        internalTheme.value = newState.theme;
      });
      if (measureRef.value) {
        if (measureRef.value.clientHeight >= 320) {
          displayBlur.value = true;
        } else {
          displayBlur.value = false;
        }
        const scrollHandler = () => {
          const height = Math.abs(
            measureRef.value.scrollHeight - measureRef.value.clientHeight - measureRef.value.scrollTop
          );
          if (height < 1) {
            displayBlur.value = false;
          } else {
            displayBlur.value = true;
          }
        };
        measureRef.value.addEventListener("scroll", scrollHandler);
        cleanupRef.value = () => {
          unsubTheme();
          if (measureRef.value) {
            measureRef.value.removeEventListener("scroll", scrollHandler);
          }
        };
      }
    });
    vue.onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    vue.watch(
      () => [displayBlur.value, shadowRef.value],
      () => {
        if (!shadowRef.value) return;
        if (shadowRef.value && !animationRef.value) {
          animationRef.value = anime({
            targets: shadowRef.value,
            opacity: [0, 1],
            height: [0, 36],
            delay: 50,
            duration: 250,
            direction: `alternate`,
            loop: false,
            autoplay: false,
            easing: `easeInOutSine`
          });
        }
        if (displayBlur.value) {
          animationRef.value?.restart();
        } else {
          animationRef.value?.reverse();
        }
      },
      { immediate: true }
    );
    function onWalletItemClickAsync(exec) {
      void async function() {
        await exec();
      }();
    }
    function getListShapeWallets() {
      return props.wallets.filter((w) => w.shape === "list");
    }
    function showSquareShapeWallets() {
      return props.wallets.slice(0, 2).every((wallet) => wallet.shape === "square");
    }
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock("div", {
        class: vue.normalizeClass(vue.unref(clx)(vue.unref(connectModalWalletList_css.container), _ctx.className))
      }, [
        vue.createElementVNode("div", {
          ref_key: "measureRef",
          ref: measureRef,
          "data-has-list-wallets": getListShapeWallets().length > 0,
          class: vue.normalizeClass(vue.unref(connectModalWalletList_css.walletList))
        }, [
          showSquareShapeWallets() ? (vue.openBlock(), vue.createBlock(vue.unref(fadeIn_vue_vue_type_script_setup_true_lang.default), {
            key: 0,
            isVisible: showSquareShapeWallets()
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
                display: "grid",
                class: vue.normalizeClass(vue.unref(connectModalWalletList_css.squareWallets))
              }, {
                default: vue.withCtx(() => [
                  (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.wallets.slice(0, 2), (wallet, index) => {
                    return vue.openBlock(), vue.createBlock(vue.unref(connectModalWalletButton_vue_vue_type_script_setup_true_lang.default), {
                      key: `${wallet.name}-${index}`,
                      variant: "square",
                      name: wallet.prettyName ?? wallet.name,
                      logo: wallet.logo,
                      subLogo: wallet.subLogo,
                      btmLogo: wallet.btmLogo,
                      onClick: (event) => onWalletItemClickAsync(
                        async () => _ctx.onWalletItemClick?.(wallet.originalWallet)
                      )
                    }, null, 8, ["name", "logo", "subLogo", "btmLogo", "onClick"]);
                  }), 128))
                ]),
                _: 1
              }, 8, ["class"])
            ]),
            _: 1
          }, 8, ["isVisible"])) : vue.createCommentVNode("", true),
          getListShapeWallets().length > 0 ? (vue.openBlock(), vue.createBlock(vue.unref(fadeIn_vue_vue_type_script_setup_true_lang.default), {
            key: 1,
            isVisible: getListShapeWallets().length > 0
          }, {
            default: vue.withCtx(() => [
              vue.createVNode(vue.unref(box_vue_vue_type_script_setup_true_lang.default), {
                display: "grid",
                class: vue.normalizeClass(vue.unref(connectModalWalletList_css.listWallets))
              }, {
                default: vue.withCtx(() => [
                  (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(getListShapeWallets(), (wallet, index) => {
                    return vue.openBlock(), vue.createBlock(vue.unref(connectModalWalletButton_vue_vue_type_script_setup_true_lang.default), {
                      key: `${wallet.name}-${index}`,
                      variant: "list",
                      name: wallet.prettyName ?? wallet.name,
                      logo: wallet.logo,
                      badge: wallet.badge,
                      subLogo: wallet.subLogo,
                      btmLogo: wallet.btmLogo,
                      onClick: (event) => onWalletItemClickAsync(
                        async () => _ctx.onWalletItemClick?.(wallet.originalWallet)
                      )
                    }, null, 8, ["name", "logo", "badge", "subLogo", "btmLogo", "onClick"]);
                  }), 128))
                ]),
                _: 1
              }, 8, ["class"])
            ]),
            _: 1
          }, 8, ["isVisible"])) : vue.createCommentVNode("", true)
        ], 10, _hoisted_1),
        vue.createElementVNode("div", {
          ref_key: "shadowRef",
          ref: shadowRef,
          class: vue.normalizeClass(vue.unref(shared_css.bottomShadow)[internalTheme.value])
        }, null, 2)
      ], 2);
    };
  }
});

exports.default = _sfc_main;
