import { defineComponent, ref, onMounted, onUnmounted, resolveComponent, openBlock, createBlock, unref, normalizeClass, withCtx, createVNode, renderSlot } from 'vue';
import clx from 'clsx';
import _sfc_main$1 from '../animate-layout/animate-layout.vue.js';
import { store } from '../../models/store.js';
import { modalContent, modalChildren, modalAnimateContainer } from './connect-modal.css.js';
import { connectModalOverrides } from './connect-modal.helper.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "connect-modal",
  props: {
    isOpen: { type: Boolean },
    onOpen: { type: Function },
    onClose: { type: Function },
    header: {},
    children: {},
    className: {},
    modalContainerClassName: {},
    modalContentClassName: {},
    modalChildrenClassName: {},
    modalContentStyles: {},
    class: {},
    classList: {},
    forwardedRef: {}
  },
  setup(__props) {
    const theme = ref("light");
    const overrideManager = ref(null);
    const cleanupRef = ref();
    onMounted(() => {
      theme.value = store.getState().theme.value;
      overrideManager.value = store.getState().overrideStyleManager;
      cleanupRef.value = store.subscribe((newState) => {
        theme.value = newState.theme.value;
        overrideManager.value = newState.overrideStyleManager;
      });
    });
    onUnmounted(() => {
      if (typeof cleanupRef.value === "function") cleanupRef.value();
    });
    return (_ctx, _cache) => {
      const _component_ScaffoldModal = resolveComponent("ScaffoldModal");
      return openBlock(), createBlock(_component_ScaffoldModal, {
        isOpen: _ctx.isOpen,
        closeOnClickaway: true,
        onOpen: (event) => _ctx.onOpen?.(),
        onClose: (event) => _ctx.onClose?.(),
        header: _ctx.header,
        contentClassName: unref(clx)(unref(modalContent)[theme.value], _ctx.modalContentClassName),
        contentStyles: {
          ...overrideManager.value?.applyOverrides(unref(connectModalOverrides).name),
          ..._ctx.modalContentStyles
        },
        childrenClassName: unref(clx)(unref(modalChildren), _ctx.modalChildrenClassName),
        class: normalizeClass(_ctx.modalContainerClassName)
      }, {
        default: withCtx(() => [
          createVNode(unref(_sfc_main$1), {
            class: normalizeClass(unref(modalAnimateContainer))
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
          }, 8, ["class"])
        ]),
        _: 3
      }, 8, ["isOpen", "onOpen", "onClose", "header", "contentClassName", "contentStyles", "childrenClassName", "class"]);
    };
  }
});

export { _sfc_main as default };
