import { defineComponent, openBlock, createBlock, unref, withCtx, createElementBlock, mergeProps, createElementVNode, toDisplayString, normalizeClass, createCommentVNode } from 'vue';
import clx from 'clsx';
import _sfc_main$2 from '../box/box.vue.js';
import _sfc_main$1 from '../stack/stack.vue.js';
import { fieldlabelStyle, fieldLabelSizes } from './field-label.css.js';

const _hoisted_1 = ["id", "for"];
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "field-label",
  props: {
    id: { default: void 0 },
    htmlFor: { type: [String, Boolean], default: void 0 },
    label: { default: void 0 },
    disabled: { type: Boolean },
    size: { default: "sm" },
    description: {},
    descriptionId: {},
    attributes: { default: void 0 },
    labelAttributes: { default: void 0 },
    className: {},
    class: {},
    classList: {},
    children: {},
    forwardedRef: {}
  },
  setup(__props) {
    return (_ctx, _cache) => {
      return _ctx.label ? (openBlock(), createBlock(unref(_sfc_main$1), {
        key: 0,
        space: "2",
        attributes: _ctx.attributes
      }, {
        default: withCtx(() => [
          _ctx.label ? (openBlock(), createBlock(unref(_sfc_main$2), {
            key: 0,
            as: "span",
            display: "flex",
            justifyContent: "space-between"
          }, {
            default: withCtx(() => [
              _ctx.htmlFor === false ? (openBlock(), createElementBlock("p", mergeProps({
                key: 0,
                class: unref(clx)(unref(fieldlabelStyle), unref(fieldLabelSizes)[_ctx.size])
              }, _ctx.labelAttributes), [
                createElementVNode("span", null, toDisplayString(_ctx.label), 1)
              ], 16)) : (openBlock(), createElementBlock("label", mergeProps({
                key: 1,
                id: _ctx.id,
                for: _ctx.htmlFor
              }, _ctx.labelAttributes), [
                createElementVNode("span", {
                  class: normalizeClass(unref(clx)(unref(fieldlabelStyle), unref(fieldLabelSizes)[_ctx.size]))
                }, toDisplayString(_ctx.label), 3)
              ], 16, _hoisted_1))
            ]),
            _: 1
          })) : createCommentVNode("", true)
        ]),
        _: 1
      }, 8, ["attributes"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
