'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

function getVariantStyles(variant, customFontFamily) {
  if (variant === "body") {
    return {
      fontFamily: customFontFamily ?? "$body",
      fontSize: "$sm",
      fontWeight: "$normal",
      lineHeight: "$normal"
    };
  }
  if (variant === "heading") {
    return {
      fontFamily: customFontFamily ?? "$body",
      fontSize: "$md",
      fontWeight: "$semibold",
      lineHeight: "$tall"
    };
  }
}
function getTextTransformStyles({
  ellipsis,
  underline
}) {
  if (ellipsis) {
    return {
      textOverflow: "ellipsis",
      overflow: "hidden",
      whiteSpace: "nowrap"
    };
  }
  if (underline) {
    return {
      textDecoration: "underline"
    };
  }
  return {};
}

exports.getTextTransformStyles = getTextTransformStyles;
exports.getVariantStyles = getVariantStyles;
