import { BaseComponentProps } from '../../models/components.model';
import { UIState } from '../../models/store';
import { ThemeDef, ComponentOverrideMap } from '../../styles/override/override.types';
import { Accent } from '../../styles/tokens';

export declare const DEFAULT_VALUES: {
    readonly defaultTheme: "dark";
    readonly customTheme: null;
    readonly accent: "blue";
};
export interface ThemeProviderProps extends BaseComponentProps {
    accent?: Accent;
    defaultTheme?: UIState["theme"];
    themeMode?: UIState["themeMode"];
    overrides?: ComponentOverrideMap;
    children?: any;
    themeDefs?: Array<ThemeDef>;
    customTheme?: UIState["customTheme"];
}
